RotatingFileTarget (LogKit API)
Keywords: org.apache.log.output.io.rotate.RotatingFileTarget,RotatingFileTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.io.rotate
Class RotatingFileTarget

    java.lang.Object
      |
      +--org.apache.log.output.AbstractTarget
            |
            +--org.apache.log.output.AbstractOutputTarget
                  |
                  +--org.apache.log.output.io.StreamTarget
                        |
                        +--org.apache.log.output.io.FileTarget
                              |
                              +--org.apache.log.output.io.rotate.RotatingFileTarget

All Implemented Interfaces:
  ErrorAware, LogTarget

public class RotatingFileTarget
extends FileTarget

This is a basic Output log target that writes to rotating files.

Author:
  Peter Donald, Stephen McConnell, Bernhard Huber

Field Summary

Fields inherited from class org.apache.log.output.AbstractOutputTarget
`m_formatter`

Constructor Summary
`RotatingFileTarget(boolean append, Formatter formatter, RotateStrategy rotateStrategy, FileStrategy fileStrategy)` Construct RotatingFileTarget object.
`RotatingFileTarget(Formatter formatter, RotateStrategy rotateStrategy, FileStrategy fileStrategy)` Construct RotatingFileTarget object.

Method Summary
`protected void` | `rotate()` Rotates the file.
`protected void` | `write(String data)` Output the log message, and check if rotation is needed.

Methods inherited from class org.apache.log.output.io.FileTarget
`getFile, openFile, setFile`

Methods inherited from class org.apache.log.output.io.StreamTarget
`close, setOutputStream, shutdownStream`

Methods inherited from class org.apache.log.output.AbstractOutputTarget
`doProcessEvent, getFormatter, open, output, setFormatter`

Methods inherited from class org.apache.log.output.AbstractTarget
`error, getErrorHandler, isOpen, processEvent, setErrorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RotatingFileTarget

    public RotatingFileTarget(Formatter formatter,
                              RotateStrategy rotateStrategy,
                              FileStrategy fileStrategy)
                       throws IOException

  Construct RotatingFileTarget object.

Parameters:
  `formatter` - Formatter to be used
  `rotateStrategy` - RotateStrategy to be used
  `fileStrategy` - FileStrategy to be used
Throws:
  `IOException` - if a file access or write related error occurs

### RotatingFileTarget

    public RotatingFileTarget(boolean append,
                              Formatter formatter,
                              RotateStrategy rotateStrategy,
                              FileStrategy fileStrategy)
                       throws IOException

  Construct RotatingFileTarget object.

Parameters:
  `append` - true if file is to be appended to, false otherwise
  `formatter` - Formatter to be used
  `rotateStrategy` - RotateStrategy to be used
  `fileStrategy` - FileStrategy to be used
Throws:
  `IOException` - if a file access or write related error occurs

Method Detail

### rotate

    protected void rotate()
                   throws IOException

  Rotates the file.

  Throws:
    `IOException` - if a file access or write related error occurs

### write

    protected void write(String data)

  Output the log message, and check if rotation is needed.

  Overrides:
    `write` in class `StreamTarget`
  Parameters:
    `data` - the date to write to the target

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.